interface CardItemColorConfig {
  backgroundColor: string; // 卡片背景颜色
  borderColor: string; // 卡片边框颜色
}

const cardColors: Record<string, CardItemColorConfig> = {
  // 浅蓝色背景，深蓝色边框（用于样本相关）
  样本数: { backgroundColor: '#f5f7fc', borderColor: '#4f8bfc' },
  分配样本数: { backgroundColor: '#f5f7fc', borderColor: '#4f8bfc' },
  抽取样本数: { backgroundColor: '#f5f7fc', borderColor: '#4f8bfc' },

  // 浅紫色背景，深紫色边框（用于机审点评相关）
  分配机审点评数: { backgroundColor: '#f5f5ff', borderColor: '#7a78fc' },
  抽取机审点评数: { backgroundColor: '#f5f5ff', borderColor: '#7a78fc' },
  机审点评数: { backgroundColor: '#f5f5ff', borderColor: '#7a78fc' },

  // 浅绿色背景，绿色边框（用于人工点评相关）
  人工点评数: { backgroundColor: '#f7fff3', borderColor: '#69c242' },
  分配人工点评数: { backgroundColor: '#f7fff3', borderColor: '#69c242' },
  抽取人工点评数: { backgroundColor: '#f7fff3', borderColor: '#69c242' },

  // 浅黄色背景，橙色边框（用于申诉相关）
  分配申诉数: { backgroundColor: '#fffcf6', borderColor: '#f0a121' },
  申诉数: { backgroundColor: '#fffcf6', borderColor: '#f0a121' },

  // 深蓝色背景与边框（已点评样本）
  样本已点评数: { backgroundColor: '#4f8bfc', borderColor: '#4f8bfc' },
  // 橙色背景与边框（未点评样本）
  样本未点评数: { backgroundColor: '#f0a121', borderColor: '#f0a121' },
  // 红色背景与边框（表示不合理）
  不合理: { backgroundColor: '#e9565a', borderColor: '#e9565a' },
  // 绿色背景与边框（表示合理）
  合理: { backgroundColor: '#69c242', borderColor: '#69c242' }
};
export default cardColors;
