/**
 * @Description: 按需引入Vxe组件
 * @Author: Spring
 * @Date: 2024-03-08 13:50:13
 * @LastEditTime: 2024-03-08 13:50:13
 * @LastEditors: Spring
 */
import { type App } from 'vue';
import 'vxe-table/styles/cssvar.scss';
// 表格公共默认配置
import VXETable from 'vxe-table';
VXETable.config({
  zIndex: 99999,
  table: {
    showOverflow: true,
    // stripe: true,
    border: 'none',
    rowConfig: {
      isHover: true,
      height: 36
    },
    columnConfig: {
      resizable: true
    },
    round: true,
    height: '100%'
  },
  grid: {
    size: 'mini',
    height: '100%'
  },
  pager: {
    size: 'medium',
    // border: true,
    // background: true,
    pageSize: 100,
    pageSizes: [10, 15, 20, 50, 100],
    layouts: ['Total', 'Sizes', 'PrevPage', 'Number', 'NextPage', 'FullJump']
  }
});
// 格式化开关
VXETable.formats.add('em', {
  cellFormatMethod({ cellValue }) {
    return cellValue ?? '--';
  }
});
import {
  Column,
  Table,
  Edit,
  Keyboard,
  VxeGrid,
  Tooltip,
  VxePager,
  VxeSelect,
  VxeIcon,
  VxeInput,
  Validator,
  VxePulldown,
  VxeToolbar,
  VxeModal
} from 'vxe-table';
export const useTable = (app: App) => {
  app
    .use(VxeModal)
    .use(Column)
    .use(Table)
    .use(Edit)
    .use(Keyboard)
    .use(VxeGrid)
    .use(Tooltip)
    .use(VxePager)
    .use(VxeSelect)
    .use(VxeIcon)
    .use(VxeInput)
    .use(Validator)
    .use(VxePulldown)
    .use(VxeToolbar);
};
